Namespace
library
Image / Tag
wordpress:5.1.0-php7.3-fpm
Content Digest
sha256:a6fee69602adc1dc2c544e0a38c5e3f7a4e023b1cc5dc8e55b0cb5259d2ac77f
Details
Created

2019-03-12 11:37:19 UTC

Size

141 MB

Content Digest
Environment
GPG_KEYS

CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3

PHP_URL

https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror

PHP_VERSION

7.3.3

WORDPRESS_SHA1

830eadf0afa15928d7f6856b1b85bf57b8e1f585

WORDPRESS_VERSION

5.1


Layers

[#000] sha256:14de7d5deca96a0d1b115104a4375816794d85fc365ada5173b5a806f0d8dbcf - 15.62% (22.1 MB)

[#001] sha256:63213c0ecba3bcf801c043de08405df1f08eff7223230c1e93ce299814156a9a - 0.0% (226 Bytes)

[#002] sha256:fb58d27f17810e06fa358b9c0528c3fcca254284107a72c87606489b096ef55a - 48.32% (68.2 MB)

[#003] sha256:0df0dd6517a9c22e9bc50360a86757ca3f545b03528664a5fd69a3ff137e0c2f - 0.0% (238 Bytes)

[#004] sha256:48cfdf0f588847f1aa5b30255d58d4f088e4be572ee625d7678cd6c23671f6d3 - 8.31% (11.7 MB)

[#005] sha256:cd03175f0a361d11f3c4eff7d01fba97c47df1f9b81267d87518c86f1bb0cd83 - 0.0% (502 Bytes)

[#006] sha256:881fd315a0d5d8cab77359a71f3cf4cead0df80f97ac7107a1fe7e9003c1ea7e - 19.85% (28 MB)

[#007] sha256:a1d7d19ac882fc374c26e667f99ea203c32fb98bcdffe3d6882dade66be7e21a - 0.0% (2.14 KB)

[#008] sha256:efcf9f7690d91d3ae188d2b866b9217ea27f23c85f73a288fa6aad0b03317185 - 0.0% (260 Bytes)

[#009] sha256:ef8f7ce915e3c381c7783d70ac1977b531df0a9c4fd4818fc2f2dd7891a5547a - 0.01% (8.09 KB)

[#010] sha256:1d15cd50c7a87aac046f1746cbb6af6c22d7467fed9e0f7a9dfce2262e08709c - 0.78% (1.1 MB)

[#011] sha256:bef6b940c9278025932e39417964de6e7cffa4ef1bfb061033f1c61b2cb02d98 - 0.0% (350 Bytes)

[#012] sha256:8d5d9684cf4ace8fe0d6f5a40228a6cdcfe9cff91c1a7eff31625657d36e6fcc - 7.11% (10 MB)

[#013] sha256:6ca4d262af4ca5fee04b9f205e7cb0b4286d6994536b483cc0e8c52db5d3149c - 0.0% (3.81 KB)


History
2019-03-05 11:45:43 UTC

/bin/sh -c #(nop) ADD file:25fe90430e63a83798c7fa241ebe3a89591a059654422474b19d5610b104a639 in /

2019-03-05 11:45:44 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-03-05 17:52:21 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-03-05 17:52:21 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-03-05 17:52:44 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-03-05 17:52:44 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-03-05 17:52:45 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-03-05 18:02:52 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-03-05 18:02:52 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 18:02:52 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 18:02:53 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-03-05 18:02:53 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

2019-03-09 13:46:17 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.3.3

2019-03-09 13:46:17 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

2019-03-09 13:46:17 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3 PHP_MD5=

2019-03-09 13:46:27 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-03-09 13:46:27 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-03-09 13:51:55 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2019-03-09 13:51:56 UTC

/bin/sh -c #(nop) COPY multi:a2584e5f7c76a8490afb4ee25a0ca396447538b121e31873975439ee8f7305d9 in /usr/local/bin/

2019-03-09 13:51:57 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-03-09 13:51:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-03-09 13:51:57 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-03-09 13:51:58 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-03-09 13:51:58 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-09 13:51:58 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-03-09 19:06:39 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev libzip-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-03-09 19:06:39 UTC

/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini

2019-03-09 19:06:40 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-03-09 19:06:40 UTC

/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1

2019-03-09 19:06:40 UTC

/bin/sh -c #(nop) ENV WORDPRESS_SHA1=830eadf0afa15928d7f6856b1b85bf57b8e1f585

2019-03-09 19:06:42 UTC

/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress

2019-03-12 11:37:18 UTC

/bin/sh -c #(nop) COPY file:93baa261bd9329f2d327b8d71c6bb15b94d750c3ddd12ee36898d6a4289c409d in /usr/local/bin/

2019-03-12 11:37:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-12 11:37:19 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2019-03-11 23:30:24 UTC

Size

136 MB

Content Digest
Environment
GPG_KEYS

CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3

PHP_URL

https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror

PHP_VERSION

7.3.3

WORDPRESS_SHA1

830eadf0afa15928d7f6856b1b85bf57b8e1f585

WORDPRESS_VERSION

5.1


Layers

[#000] sha256:f7e2b70d04ae3f516c08c24d88de0f82699aaf3ee98af6eb208bd234136142b4 - 15.77% (21.5 MB)

[#001] sha256:744aedb7995c4cdfa910eed9f3035bdfe6c1670cb8c34b155955961d4123ca79 - 0.0% (226 Bytes)

[#002] sha256:07afe22f8a5850183a444ea563d5b16a0218245dda6ee319c286f72c3e8ea552 - 47.28% (64.3 MB)

[#003] sha256:c7bf4f31c4a4525e2fb402df85bfbd733cd3bfb13560584e4d4ce08b019bb86c - 0.0% (238 Bytes)

[#004] sha256:a377af562b65546aa717eb480b4844c435a57dd10272fc1a44e5befc3b837e19 - 8.62% (11.7 MB)

[#005] sha256:b37d203c0bb558e709ccdfc589b2f4dcaaa1d72f381b3c7b72a340f5dd09bbdd - 0.0% (501 Bytes)

[#006] sha256:d991ef4d6b3c7e2f4b4f56cbbaf5f54d07475816bda45f6ddab24bdc9ccd2aaf - 20.16% (27.4 MB)

[#007] sha256:3e040e18d54dc761847af112d1a6348b4876afc3635b12a9ad4d1d401c1c714d - 0.0% (2.15 KB)

[#008] sha256:fb68b6f297328cf540d0e80bfdbc6c68ad7a759e2f4af5cdd1f44ce1aba2e6c8 - 0.0% (260 Bytes)

[#009] sha256:f728e5da08d4dde777408312c19663850f8b363fffa2e5b1ae7c9111a1722247 - 0.01% (8.09 KB)

[#010] sha256:7a475e12da17dfe66f643976dafe083b8c345905351983f91786e410bd4c11ec - 0.78% (1.06 MB)

[#011] sha256:be5780c66adfe3d6c524963153e6f42864b2b0249b95dfec22f8abe4f61c00f2 - 0.0% (351 Bytes)

[#012] sha256:45c5e8510572b6e9f8b6fddd1cca74368c0a6872007d4e61dbf55fb978286102 - 7.37% (10 MB)

[#013] sha256:f14991c4c5534188548f297da01e658a3229c066dd07782e4e00d4baa5364422 - 0.0% (3.81 KB)


History
2019-03-04 23:22:21 UTC

/bin/sh -c #(nop) ADD file:5ea7dfe8c8bc87ebe0d06d275bce41e015310bdfc04546246302e9ce07ee416c in /

2019-03-04 23:22:22 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-03-05 01:21:14 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-03-05 01:21:14 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-03-05 01:21:44 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-03-05 01:21:44 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-03-05 01:21:46 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-03-05 01:36:36 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-03-05 01:36:36 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 01:36:37 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 01:36:37 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-03-05 01:36:37 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

2019-03-09 00:34:58 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.3.3

2019-03-09 00:34:58 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

2019-03-09 00:34:58 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3 PHP_MD5=

2019-03-09 00:35:09 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-03-09 00:35:09 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-03-09 00:43:15 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2019-03-09 00:43:15 UTC

/bin/sh -c #(nop) COPY multi:a2584e5f7c76a8490afb4ee25a0ca396447538b121e31873975439ee8f7305d9 in /usr/local/bin/

2019-03-09 00:43:16 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-03-09 00:43:17 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-03-09 00:43:17 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-03-09 00:43:18 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-03-09 00:43:18 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-09 00:43:19 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-03-09 05:14:01 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev libzip-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-03-09 05:14:01 UTC

/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini

2019-03-09 05:14:01 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-03-09 05:14:02 UTC

/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1

2019-03-09 05:14:02 UTC

/bin/sh -c #(nop) ENV WORDPRESS_SHA1=830eadf0afa15928d7f6856b1b85bf57b8e1f585

2019-03-09 05:14:04 UTC

/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress

2019-03-11 23:30:23 UTC

/bin/sh -c #(nop) COPY file:93baa261bd9329f2d327b8d71c6bb15b94d750c3ddd12ee36898d6a4289c409d in /usr/local/bin/

2019-03-11 23:30:23 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-11 23:30:24 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2019-03-12 08:53:05 UTC

Size

124 MB

Content Digest
Environment
GPG_KEYS

CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3

PHP_URL

https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror

PHP_VERSION

7.3.3

WORDPRESS_SHA1

830eadf0afa15928d7f6856b1b85bf57b8e1f585

WORDPRESS_VERSION

5.1


Layers

[#000] sha256:c5b53d864e73b66292b38bbea137ab84443437d4a8a51ea774f4af661bdfa126 - 16.27% (20.2 MB)

[#001] sha256:56bb111e6d30f6962769c731a357e77d4cbce28782f63ef9b9a93f603122aed7 - 0.0% (224 Bytes)

[#002] sha256:a645b4516166dc6223166f16e9c3d9f1a370e7d311138675101a03e1a75f32ea - 44.18% (54.8 MB)

[#003] sha256:97305798dbcbf1ea8b85c5da1cd2df1a30ae86a31067de38b3be5fe7e61d37ee - 0.0% (287 Bytes)

[#004] sha256:bd223639acebc31ab2c46c079f64d3ecaa124bb27ab21ff927cf1e939f457bd8 - 9.45% (11.7 MB)

[#005] sha256:86ec94686464d12d6bcbee6a0fd3835eb28862dda3f0dd996f68978ebe7113e9 - 0.0% (501 Bytes)

[#006] sha256:7a65340759e15c4bbb326ad7c7d4081fd007a508634644edd990cc9b19e5dda7 - 21.19% (26.3 MB)

[#007] sha256:90cd4d5c3c026b734bcb6867acb18160c62bbbf2e123d6dcf6cdee33fb3f2228 - 0.0% (2.15 KB)

[#008] sha256:cb79bc23fbc5c7ed96ff79394f9db4c7f0c8ea09a29bb672e3d3712eca2aaaa2 - 0.0% (259 Bytes)

[#009] sha256:35cdaa4ab647b262f4f7644f50d8c4acc2b2166be5dadec59135b70a3e985fb8 - 0.01% (8.09 KB)

[#010] sha256:4db6d708b5c06ef8abbfb6a40d7a634e3dad560bbb48ae6d7a884b979a4b7b73 - 0.82% (1.02 MB)

[#011] sha256:0abb2e505e53515b81995b64e8a4595134c56ec070a55b53e9e60a820684054f - 0.0% (351 Bytes)

[#012] sha256:16c8cf0737166aa40130c17f23ba20380acc780471bb8b9541fc7c026f3b2530 - 8.08% (10 MB)

[#013] sha256:506bef64b43e6f88cb8d21124855db3c18c039084766c70370e43255420f333f - 0.0% (3.81 KB)


History
2019-03-05 09:55:08 UTC

/bin/sh -c #(nop) ADD file:2526a4ee90bfd47bff3ab8ba2594e49465df9aa258daf8426e7d38166f4fecc2 in /

2019-03-05 09:55:09 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-03-05 10:54:34 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-03-05 10:54:34 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-03-05 10:55:15 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-03-05 10:55:16 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-03-05 10:55:17 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-03-05 11:03:51 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-03-05 11:03:51 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 11:03:52 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 11:03:52 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-03-05 11:03:53 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

2019-03-09 09:57:48 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.3.3

2019-03-09 09:57:48 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

2019-03-09 09:57:49 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3 PHP_MD5=

2019-03-09 09:58:05 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-03-09 09:58:06 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-03-09 10:02:08 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2019-03-09 10:02:09 UTC

/bin/sh -c #(nop) COPY multi:a2584e5f7c76a8490afb4ee25a0ca396447538b121e31873975439ee8f7305d9 in /usr/local/bin/

2019-03-09 10:02:11 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-03-09 10:02:11 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-03-09 10:02:12 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-03-09 10:02:13 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-03-09 10:02:13 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-09 10:02:14 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-03-09 11:57:38 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev libzip-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-03-09 11:57:40 UTC

/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini

2019-03-09 11:57:40 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-03-09 11:57:41 UTC

/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1

2019-03-09 11:57:41 UTC

/bin/sh -c #(nop) ENV WORDPRESS_SHA1=830eadf0afa15928d7f6856b1b85bf57b8e1f585

2019-03-09 11:57:46 UTC

/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress

2019-03-12 08:53:05 UTC

/bin/sh -c #(nop) COPY file:93baa261bd9329f2d327b8d71c6bb15b94d750c3ddd12ee36898d6a4289c409d in /usr/local/bin/

2019-03-12 08:53:05 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-12 08:53:05 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2019-03-12 12:49:54 UTC

Size

117 MB

Content Digest
Environment
GPG_KEYS

CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3

PHP_URL

https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror

PHP_VERSION

7.3.3

WORDPRESS_SHA1

830eadf0afa15928d7f6856b1b85bf57b8e1f585

WORDPRESS_VERSION

5.1


Layers

[#000] sha256:ecad9bd7ef0cc879127c92e50db573b75c643910463a12affaa5be77c7960bda - 15.66% (18.4 MB)

[#001] sha256:4edb4ba5dc88babfee394986a3231217bd7e8f735fd7b69f66aea960bd0546ad - 0.0% (227 Bytes)

[#002] sha256:ebc2006cb0a28268e52932894df96fdc768957ecea340df9edc237c48e7445c2 - 43.51% (51.1 MB)

[#003] sha256:f2c78b4c148941d5582a947905d3b81e3686c3eebfbe03f67cd65ece41357bed - 0.0% (286 Bytes)

[#004] sha256:3ac341f7240b24f58bad07939148135bbd7d9cc2f5093231f648a54211821e31 - 9.98% (11.7 MB)

[#005] sha256:8d996217fa7dad7fdf88abe4e9fc84d21440c313decf89d0409cfce7cc5c9392 - 0.0% (500 Bytes)

[#006] sha256:34c5d5fb3d962b02d87fcea587b45c290dd290bdcafaf64480ac66608359f931 - 21.49% (25.2 MB)

[#007] sha256:6864bc033a18eb2a4344173907ab69af54860e0c124f768145ca4ba78fcf8c54 - 0.0% (2.15 KB)

[#008] sha256:dfd746cedfc87790b1765eee36e2f8f1ab90f6cafef28651f13ce252968f61cb - 0.0% (258 Bytes)

[#009] sha256:d06337049256e4499daabba5b4cdddf70a71b36788b4485774c1c294df469a4e - 0.01% (8.09 KB)

[#010] sha256:a871101129459a70c0bcf0ca4b6ba1d1345b28c4b1dc954877000bdd6cca2580 - 0.81% (974 KB)

[#011] sha256:f0add05bd9884c57d60800c848ebb37e9aaef8fe086bf9a57a29c464aac36e2f - 0.0% (351 Bytes)

[#012] sha256:9fb7e34e763e1c16233f6741bf226cb40ceae8dc0e46d2f33174c7bda3b6c63f - 8.54% (10 MB)

[#013] sha256:ea39861e4d0e7a245473dab2742f4083368bb717f8bd9d8f321fbabda4c6561e - 0.0% (3.81 KB)


History
2019-03-05 13:11:01 UTC

/bin/sh -c #(nop) ADD file:5d43d39fbe853e1f4c9f89be2ddc937fb88624889c511b9a75d6389c2b67918a in /

2019-03-05 13:11:03 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-03-05 14:44:37 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-03-05 14:44:37 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-03-05 14:45:09 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-03-05 14:45:18 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-03-05 14:45:20 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-03-05 14:54:10 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-03-05 14:54:10 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 14:54:11 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 14:54:11 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-03-05 14:54:12 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

2019-03-09 13:07:30 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.3.3

2019-03-09 13:07:31 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

2019-03-09 13:07:31 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3 PHP_MD5=

2019-03-09 13:07:45 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-03-09 13:07:46 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-03-09 13:11:22 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2019-03-09 13:11:23 UTC

/bin/sh -c #(nop) COPY multi:a2584e5f7c76a8490afb4ee25a0ca396447538b121e31873975439ee8f7305d9 in /usr/local/bin/

2019-03-09 13:11:25 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-03-09 13:11:25 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-03-09 13:11:26 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-03-09 13:11:27 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-03-09 13:11:28 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-09 13:11:28 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-03-09 15:23:58 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev libzip-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-03-09 15:23:59 UTC

/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini

2019-03-09 15:24:00 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-03-09 15:24:00 UTC

/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1

2019-03-09 15:24:01 UTC

/bin/sh -c #(nop) ENV WORDPRESS_SHA1=830eadf0afa15928d7f6856b1b85bf57b8e1f585

2019-03-09 15:24:06 UTC

/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress

2019-03-12 12:49:53 UTC

/bin/sh -c #(nop) COPY file:93baa261bd9329f2d327b8d71c6bb15b94d750c3ddd12ee36898d6a4289c409d in /usr/local/bin/

2019-03-12 12:49:54 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-12 12:49:54 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2019-03-09 16:25:00 UTC

Size

124 MB

Content Digest
Environment
GPG_KEYS

CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3

PHP_URL

https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror

PHP_VERSION

7.3.3

WORDPRESS_SHA1

830eadf0afa15928d7f6856b1b85bf57b8e1f585

WORDPRESS_VERSION

5.1


Layers

[#000] sha256:42367302fc78a226e000d71988d3eea5bbeea023beeb97957e6f20610974197f - 15.69% (19.4 MB)

[#001] sha256:518eb52b4a3a860bcfc922331cd0ea8bf6ad47f75ec667caa307e16d8baa5410 - 0.0% (228 Bytes)

[#002] sha256:996a35cea3e961a42a63f257f109b89005fb0360237f57be674793657965908d - 44.42% (54.9 MB)

[#003] sha256:9aa19ab4f7638b5f56fd0000504a9c8fd568d1d332b33f2741aff68aeb62ce1d - 0.0% (237 Bytes)

[#004] sha256:10470b25798b0e046000cf33f1a4b1637f9a7e921e099b3639c0263eebe49d8c - 9.48% (11.7 MB)

[#005] sha256:66ff5ab104b1489a4eb9816127550b26b15281176469577980e81e483eb6f5fd - 0.0% (502 Bytes)

[#006] sha256:9a077ba05f03b477e446c1f90c4d29b8e1b2a487857bbe997d5b38af8158e153 - 21.49% (26.6 MB)

[#007] sha256:4f81b1e105b5d91334e47b48b0924ba59ab59af353b0fb36b8c0205ff1f53359 - 0.0% (2.15 KB)

[#008] sha256:80d1a129ac81de9c778ff4acd5354537116a9558937c93a1d3d98ff24e0631eb - 0.0% (260 Bytes)

[#009] sha256:1614f199f3c4f4d84c3fcf81f3a34072505d81af9b271dc8ba439d194573df54 - 0.01% (8.09 KB)

[#010] sha256:26afeea5f50c8b833620cfd414124915929ae26a6eec10f717cebf9084cc24bd - 0.8% (1010 KB)

[#011] sha256:0801445a459b52818eabb91088808dd7dff086fca5e274cd6100272d834e8c97 - 0.0% (351 Bytes)

[#012] sha256:ad754e8d5d2a1c23e44bff7453731e478cafcb1c80e164b8b0959c7355706d54 - 8.11% (10 MB)

[#013] sha256:ae58adea958bac02bf5a94e973951aaeb1bff63fe1562dc00e0b4d552ec72ffa - 0.0% (3.74 KB)


History
2019-02-06 10:09:24 UTC

/bin/sh -c #(nop) ADD file:7fd62ee33e020bdd30665de7ce17e32b61f7ba089ee0d8bf27511946daeab6a6 in /

2019-02-06 10:09:27 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-02-06 12:24:58 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-02-06 12:24:59 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-02-06 12:31:31 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-02-06 12:31:38 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-02-06 12:31:48 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-02-06 12:55:55 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-02-06 12:55:56 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-02-06 12:55:56 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-02-06 12:55:57 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-02-06 12:55:58 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

2019-03-09 10:25:40 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.3.3

2019-03-09 10:25:41 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

2019-03-09 10:25:42 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3 PHP_MD5=

2019-03-09 10:26:39 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-03-09 10:26:42 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-03-09 10:39:35 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2019-03-09 10:39:37 UTC

/bin/sh -c #(nop) COPY multi:a2584e5f7c76a8490afb4ee25a0ca396447538b121e31873975439ee8f7305d9 in /usr/local/bin/

2019-03-09 10:39:42 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-03-09 10:39:44 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-03-09 10:39:46 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-03-09 10:39:49 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-03-09 10:39:50 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-09 10:39:51 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-03-09 16:24:47 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev libzip-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-03-09 16:24:50 UTC

/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini

2019-03-09 16:24:51 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-03-09 16:24:51 UTC

/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1

2019-03-09 16:24:52 UTC

/bin/sh -c #(nop) ENV WORDPRESS_SHA1=830eadf0afa15928d7f6856b1b85bf57b8e1f585

2019-03-09 16:24:58 UTC

/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress

2019-03-09 16:24:59 UTC

/bin/sh -c #(nop) COPY file:e58f51f533559b19b2027e8e3fb61208537033a0d75bb1fe07b3a92a4861e017 in /usr/local/bin/

2019-03-09 16:25:00 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-09 16:25:00 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Details
Created

2019-03-12 08:44:03 UTC

Size

131 MB

Content Digest
Environment
GPG_KEYS

CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PHPIZE_DEPS

autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

PHP_ASC_URL

https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

PHP_CFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_CPPFLAGS

-fstack-protector-strong -fpic -fpie -O2

PHP_EXTRA_CONFIGURE_ARGS

--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

PHP_INI_DIR

/usr/local/etc/php

PHP_LDFLAGS

-Wl,-O1 -Wl,--hash-style=both -pie

PHP_MD5

PHP_SHA256

6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3

PHP_URL

https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror

PHP_VERSION

7.3.3

WORDPRESS_SHA1

830eadf0afa15928d7f6856b1b85bf57b8e1f585

WORDPRESS_VERSION

5.1


Layers

[#000] sha256:1a1c20c0e1fe9ea9a7ae86ac61ed89ee8cf01dccfb363d582cb8c910510c06fb - 16.59% (21.7 MB)

[#001] sha256:53a64583b8600298db46917e031f985839162e11f98a8d10a50dd49257df26b1 - 0.0% (228 Bytes)

[#002] sha256:fe3fb84f58dbd1ee39fcf39d6dbf5a55dcae5f21a0225fc3a08e1fc44f3507b1 - 45.09% (59 MB)

[#003] sha256:baf73effcf62d2b34eda9d6fdce5dab5343e30e063c5ab7556c8df95b73dd53a - 0.0% (287 Bytes)

[#004] sha256:97eb294b77aded4c87108acd59e0cbeb5a7ce6616deb3547df8aad119a3729fe - 8.97% (11.7 MB)

[#005] sha256:b995e009f3d6b9ca8dc182ca50768b6a41bd520a074592a119a5924fe5734617 - 0.0% (500 Bytes)

[#006] sha256:e9b857fe8f0175624edf8185d904a0cd44494c8ad7a025d14fcb9ec694a56faf - 20.86% (27.3 MB)

[#007] sha256:894cbbd9c459c8a07fd628a56675ad2c1e5ae0b24f07b695964a67b516d81c2f - 0.0% (2.14 KB)

[#008] sha256:62c5eeb4f3559c86c212a832e9b4988c73227dc864980e5eecba1213efaefb07 - 0.0% (260 Bytes)

[#009] sha256:a639031f4ffb75e8030c58b7bb68fab26e5aab5f67f1fde16bb5d69fb9a8e738 - 0.01% (8.09 KB)

[#010] sha256:ef2e0da7865b803821130a6a9c7868722fb5526be6738fdf6f33d40fbba14aad - 0.81% (1.07 MB)

[#011] sha256:d693ad7a65ad05732842eb682601a562fc325463c23950c7caf3efc5bfb39b7c - 0.0% (351 Bytes)

[#012] sha256:1554bf489299ff55b3c3b6f7f78982cad572fab6a62357e8042b3cfe04a9c7a0 - 7.67% (10 MB)

[#013] sha256:dd427270fbf8c4efc940679fcc8ff7a1585682b1622d7527959647acebe97dc2 - 0.0% (3.81 KB)


History
2019-03-05 09:25:57 UTC

/bin/sh -c #(nop) ADD file:499a43a96e8ab3c7c8ab9d1c3260d34bb2b955e9751ada2b98194e42f9578be3 in /

2019-03-05 09:26:02 UTC

/bin/sh -c #(nop) CMD ["bash"]

2019-03-05 14:19:44 UTC

/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php

2019-03-05 14:19:47 UTC

/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c

2019-03-05 14:22:29 UTC

/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*

2019-03-05 14:22:35 UTC

/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php

2019-03-05 14:22:47 UTC

/bin/sh -c set -eux; mkdir -p "$PHP_INI_DIR/conf.d"; [ ! -d /var/www/html ]; mkdir -p /var/www/html; chown www-data:www-data /var/www/html; chmod 777 /var/www/html

2019-03-05 14:36:50 UTC

/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi

2019-03-05 14:36:53 UTC

/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 14:36:56 UTC

/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2

2019-03-05 14:36:58 UTC

/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie

2019-03-05 14:37:00 UTC

/bin/sh -c #(nop) ENV GPG_KEYS=CBAF69F173A0FEA4B537F470D66C9593118BCCB6 F38252826ACD957EF380D39F2F7956BC5DA04B5D

2019-03-09 09:32:58 UTC

/bin/sh -c #(nop) ENV PHP_VERSION=7.3.3

2019-03-09 09:33:00 UTC

/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.3.3.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.3.3.tar.xz.asc/from/this/mirror

2019-03-09 09:33:02 UTC

/bin/sh -c #(nop) ENV PHP_SHA256=6bb03e79a183d0cb059a6d117bbb2e0679cab667fb713a13c6a16f56bebab9b3 PHP_MD5=

2019-03-09 09:33:44 UTC

/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps

2019-03-09 09:33:45 UTC

/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/

2019-03-09 09:38:59 UTC

/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; find -type f -name '*.a' -delete; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc

2019-03-09 09:39:02 UTC

/bin/sh -c #(nop) COPY multi:a2584e5f7c76a8490afb4ee25a0ca396447538b121e31873975439ee8f7305d9 in /usr/local/bin/

2019-03-09 09:39:09 UTC

/bin/sh -c docker-php-ext-enable sodium

2019-03-09 09:39:12 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]

2019-03-09 09:39:14 UTC

/bin/sh -c #(nop) WORKDIR /var/www/html

2019-03-09 09:39:20 UTC

/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '; https://github.com/docker-library/php/pull/725#issuecomment-443540114'; echo 'log_limit = 8192'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; echo 'decorate_workers_output = no'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf

2019-03-09 09:39:25 UTC

/bin/sh -c #(nop) EXPOSE 9000

2019-03-09 09:39:28 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

2019-03-09 13:11:00 UTC

/bin/sh -c set -ex; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libjpeg-dev libpng-dev libzip-dev ; docker-php-ext-configure gd --with-png-dir=/usr --with-jpeg-dir=/usr; docker-php-ext-install gd mysqli opcache zip; apt-mark auto '.*' > /dev/null; apt-mark manual $savedAptMark; ldd "$(php -r 'echo ini_get("extension_dir");')"/*.so | awk '/=>/ { print $3 }' | sort -u | xargs -r dpkg-query -S | cut -d: -f1 | sort -u | xargs -rt apt-mark manual; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; rm -rf /var/lib/apt/lists/*

2019-03-09 13:11:06 UTC

/bin/sh -c { echo 'opcache.memory_consumption=128'; echo 'opcache.interned_strings_buffer=8'; echo 'opcache.max_accelerated_files=4000'; echo 'opcache.revalidate_freq=2'; echo 'opcache.fast_shutdown=1'; echo 'opcache.enable_cli=1'; } > /usr/local/etc/php/conf.d/opcache-recommended.ini

2019-03-09 13:11:10 UTC

/bin/sh -c #(nop) VOLUME [/var/www/html]

2019-03-09 13:11:13 UTC

/bin/sh -c #(nop) ENV WORDPRESS_VERSION=5.1

2019-03-09 13:11:17 UTC

/bin/sh -c #(nop) ENV WORDPRESS_SHA1=830eadf0afa15928d7f6856b1b85bf57b8e1f585

2019-03-09 13:11:28 UTC

/bin/sh -c set -ex; curl -o wordpress.tar.gz -fSL "https://wordpress.org/wordpress-${WORDPRESS_VERSION}.tar.gz"; echo "$WORDPRESS_SHA1 *wordpress.tar.gz" | sha1sum -c -; tar -xzf wordpress.tar.gz -C /usr/src/; rm wordpress.tar.gz; chown -R www-data:www-data /usr/src/wordpress

2019-03-12 08:43:56 UTC

/bin/sh -c #(nop) COPY file:93baa261bd9329f2d327b8d71c6bb15b94d750c3ddd12ee36898d6a4289c409d in /usr/local/bin/

2019-03-12 08:43:59 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-03-12 08:44:03 UTC

/bin/sh -c #(nop) CMD ["php-fpm"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete